autoproject (0.20-12) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Removed dh-autoreconf from Build-Depends field because it is default
        since DH 10.
      - Updated VCS fields to use Salsa.
  * debian/copyright: updated packaging copyright names and years.
  * debian/lintian-overrides: added a new lintian
    (autoproject: package-contains-documentation-outside-usr-share-doc)
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/test: moved to debian/tests/ and reviewed to be used by autopkgtest.
    This file was originally created by James R. Van Zandt.
  * debian/tests/*: created to perform some CI tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 27 Mar 2020 21:29:51 -0300

autoproject (0.20-11) unstable; urgency=medium

  * QA Upload.
  * Pass bash=/bin/bash to configure
    - fixes reproducible build on merged-usr vs non-merged systems.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 01 Dec 2018 21:34:53 +0100

autoproject (0.20-10) unstable; urgency=medium

  * QA upload.
  * Bumped DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Fixed the Vcs-* fields.
      - Removed the unnecessary field 'Build-Depends-Indep'.
  * debian/copyright: updated the packaging copyright data.
  * debian/patches/:
      - fix-manpage: renamed to 10_fix-manpage.patch
      - 20_modernize-AC_INIT.patch: added to update AC_INIT macro in
        configure.in file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 27 Dec 2016 15:44:05 -0200

autoproject (0.20-9) unstable; urgency=medium

  * QA upload
  * Add Vcs-{Git,Browser}
  * drop debian/post{inst,rm} since these should be generated automatically
    (closes: #843274)

 -- Ralf Treinen <treinen@debian.org>  Sat, 05 Nov 2016 19:39:46 +0100

autoproject (0.20-8) unstable; urgency=medium

  * QA upload.
  * debian/copyright: fix the license and its header.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 19 Aug 2015 15:59:27 -0300

autoproject (0.20-7) unstable; urgency=medium

  * QA upload.
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format.
      - DebSrc to 3.0 format.
      - DH level to 9.
      - Using dh-autoreconf.
  * debian/clean: created to remove some files created when building.
  * debian/control:
      - Added the Homepage field.
      - Added automake to Build-Depends-Indep.
      - Bumped Standards-Version to 3.9.6.
      - Removed the unused variable ${shlibs:Depends} from Depends field.
      - Reorganized the long description.
  * debian/copyright: updated all information.
  * debian/dirs: not used. Removed.
  * debian/lintian-overrides: added to ignore some false positives.
  * debian/patches/:
      - Converted in a patch the old direct changes in upstream place.
      - Ignoring the changes in AUTHORS.
      - Considering changes for manpage. So, generated the fix-manpage patch.
  * debian/source/options: created to ignore changes in some files.
  * debian/watch: added a fake site to explain about the current status of the
      original upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 17 Aug 2015 18:19:01 -0300

autoproject (0.20-6) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Drop automake1.9 from depends and build depends. (Closes: #741718).
  * Bump Standards-Version to 3.9.5.
  * Depend on ${misc:Depends}.
  * Add missing targets to debian/rules: build-arch, build-indep.
  * Build architecture-independent files in binary-indep rather than in
    binary-arch.
  * Rename {postinst,postrm}.debhelper to {postinst,postrm}. Add debhelper
    token.

 -- Emanuele Rocca <ema@debian.org>  Tue, 25 Mar 2014 12:36:21 +0100

autoproject (0.20-5) unstable; urgency=low

  * Update menu entries (thanks to Bill Allombert
    <ballombe@debian.org>,closes:bug#445132)
  * debian/rules: set debhelper compatibility level using debian/compat
    instead of command in debian/rules.  Don't ignore failure in "make distclean".

 -- James R. Van Zandt <jrv@debian.org>  Sat, 06 Oct 2007 22:19:07 -0400

autoproject (0.20-4) unstable; urgency=low

  * autoproject.1: Correct the documented directories: Debian package
    installs files under /usr, not under /usr/local (closes:Bug#398606)

 -- James R. Van Zandt <jrv@debian.org>  Thu, 16 Nov 2006 21:22:56 -0500

autoproject (0.20-3) unstable; urgency=low

  * debian/control: depend on automake1.9, not plain automake (closes:Bug#376332)

 -- James R. Van Zandt <jrv@debian.org>  Tue,  4 Jul 2006 11:49:02 -0400

autoproject (0.20-2) unstable; urgency=low

  * debian/control: bump version of automake dependency to 1.9.  Bump
    policy level to 3.7.2 (no changes needed).  Build-Depends-Indep
    debhelper converted to Build-Depends.
  * debian/ex.doc-base.package: template deleted

 -- James R. Van Zandt <jrv@debian.org>  Sun, 25 Jun 2006 22:01:13 -0400

autoproject (0.20-1) unstable; urgency=low

  * New upstream release
  * autoproject.in: handle error return of expr (thanks to Joachim Reichel
    <joachim.reichel@gmx.de>, fixes:#154867)
  * lib/cli/c/none/xmalloc.h: add this header file (fixes:#107847)
  * README, autoproject.1: update author's email
  * lib/cli/c++/none/xmalloc.c: eliminate references to error.h and
    error(), to eliminate dependency on GNU libc. (fixes:#109538)
  * lib/cli/c++/none/program.cc: eliminate multi-line strings (thanks to
    Mario Lang <mlang@debian.org> (fixes:#253131)
  * debian/copyright: update author and maintainer email
  * debian/rules: specify debhelper compatibility level 5
  * debian/control: add comma after ${shlibs:Depends} so dpkg-gencontrol
    can parse it - thanks to Daniel Schepler <schepler@math.berkeley.edu>,
    (fixes:#354195).  Specify the compatibility level 5 of debhelper.
    Update to Debian policy version 3.5.2
  * debian/rules: Install 'test' script as an example (debian-test no
    longer exists)
  * debian/menu: put section in quotes

 -- James R. Van Zandt <jrv@debian.org>  Sat, 25 Feb 2006 18:06:45 -0500

autoproject (0.17-1) unstable; urgency=low

  * New upstream release, supports automake 1.7
  * debian/control: depends: automake|automake1.7|automaken
    (fixes:Bug#165125)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Thu, 21 Nov 2002 21:23:00 -0500

autoproject (0.15.1-3) unstable; urgency=low

  * debian/control: update Bruce Korb's contact info

 -- James R. Van Zandt <jrv@debian.org>  Fri,  5 Jul 2002 21:48:37 -0400

autoproject (0.15.1-2) unstable; urgency=low

  * debian/control: build-depend on autoconf and automake
    (closes:Bug#141013)

 -- James R. Van Zandt <jrv@debian.org>  Fri, 12 Apr 2002 20:51:43 -0400

autoproject (0.15.1-1) unstable; urgency=low

  * New upstream release
  * autoproject.in (EEMAIL): initialize NAME to empty, and put $NAME in
    quotes everywhere, to handle a name with spaces (thanks to Dave Love
    <d.love@dl.ac.uk>) (closes:Bug#136912)

 -- James R. Van Zandt <jrv@debian.org>  Sun, 10 Mar 2002 15:18:37 -0500

autoproject (0.14-2) unstable; urgency=low

  * debian/control: build-depends should be build-depends-indep

 -- James R. Van Zandt <jrv@debian.org>  Tue,  5 Feb 2002 20:59:28 -0500

autoproject (0.14-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: revise to use version 3 of debhelper.

 -- James R. Van Zandt <jrv@debian.org>  Wed,  9 Jan 2002 21:18:56 -0500

autoproject (0.12-2) unstable; urgency=low

  * debian/control: move build-depends line to source section.  Update to
    version 3.5.2
  * remove extraneous ".ex" files.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Tue, 22 May 2001 21:30:08 -0400

autoproject (0.12-1) unstable; urgency=low

  * New upstream release: Call AM_PROG_LEX rather than AC_PROG_LEX.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Tue, 13 Mar 2001 20:17:03 -0500

autoproject (0.11.3-1) unstable; urgency=low

  * New upstream release
  * recognize s390 architecture (thanks to Chu-yeon Park
    <kokids@popoya.linuxkorea.co.kr>) (closes:Bug#88564)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Tue,  6 Mar 2001 15:24:41 -0500

autoproject (0.11.2-1) unstable; urgency=low

  * New upstream release:  Update clig and autogen links, and email for
    Harald Kirsch.
  * escape any '/' in the program description (closes:Bug#83114)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun, 18 Feb 2001 17:41:47 -0500

autoproject (0.11-1) unstable; urgency=low

  * New upstream release

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 20 Jan 2001 11:07:58 -0500

autoproject (0.10.1-1) unstable; urgency=low

  * New upstream release

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun, 17 Dec 2000 10:42:10 -0500

autoproject (0.9.2-1) unstable; urgency=low

  * New upstream release: generated code may be used with no restriction
    (Closes:Bug#74421)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Wed, 11 Oct 2000 20:52:41 -0400

autoproject (0.9.1-1) unstable; urgency=low

  * New upstream release

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 30 Sep 2000 16:25:17 -0400

autoproject (0.9-1) unstable; urgency=low

  * New upstream release

  * build-depends on debhelper(Closes:Bug#70229)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Wed, 20 Sep 2000 22:16:49 -0400

autoproject (0.8.2-1) unstable; urgency=low

  * New upstream release.  Really close these bugs, since the last two
    uploads seem to have been rejected: (fixes:Bug#63508,#63509,#63857)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 29 Jul 2000 13:40:50 -0400

autoproject (0.8.1-1) frozen unstable; urgency=low

  * New upstream release
  * Disallow these characters in a project name, since automake forbids
    them: "-+:."  Allow: "_". (fixes:Bug#63508)
  * Use full prototypes for the functions defined in xmalloc.c, and
    enclose them in extern "C"{}. (fixes:Bug##63509)
  * autoproject.in (CAPNAME): enclose tr arguments in single quotes, so
    files with single character names do not interfere (fixes:Bug#63857)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Mon, 19 Jun 2000 14:38:23 -0400

autoproject (0.7-1) frozen unstable; urgency=low

  * New upstream release: (fixes:Bug#63508,Bug#63509)
  * debian/copyright: Do not mention old license directory.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 20 May 2000 16:40:58 -0400

autoproject (0.6.2-2) frozen unstable; urgency=low

  * really target frozen as well as unstable.
  * Call awk rather than mawk, so we do not have an undeclared dependency
    on mawk (closes:Bug#61919).  Target frozen because the user thought
    this bug was "important", so it made the "release critical" list.  I
    do not have a strong opinion about whether this bugfix warrants an
    update to frozen.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 15 Apr 2000 10:06:23 -0400

autoproject (0.6.2-1) unstable; urgency=low

  * New upstream release
  * Program name on the command line is optional (man page updates
    courtesy of Adrian Bunk <bunk@fs.tum.de>, closes:Bug#61951)
  * Call awk rather than mawk, so we do not have an undeclared dependency
    on mawk (closes:Bug#61919).  Target frozen because the user thought
    this bug was "important", so it made the "release critical" list.  I
    do not have a strong opinion about whether this bugfix warrants an
    update to frozen.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Thu, 13 Apr 2000 21:51:03 -0400

autoproject (0.6.0-1) unstable; urgency=low

  * New upstream release, supports main program in c++
  (closes:Bug#52591,Bug#52816)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun, 19 Dec 1999 20:46:06 -0500

autoproject (0.5.0-1) unstable; urgency=low

  * New upstream release (closes:Bug#51858,Bug#51857,Bug#51856)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat,  4 Dec 1999 17:03:08 -0500

autoproject (0.4.0-3) unstable; urgency=low

  * Prevent installing the skeleton manpage program.1 in
    /usr/share/man/man1 (closes:bug#51762)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Fri,  3 Dec 1999 20:17:30 -0500

autoproject (0.4.0-2) unstable; urgency=low

  * Depend on automake (closes:bug#51630).

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Wed,  1 Dec 1999 21:55:16 -0500

autoproject (0.4.0-1) unstable; urgency=low

  * Initial Release.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Tue, 23 Nov 1999 19:46:40 -0500
